## org.eclipse.m2m.qvt.oml.util
Class ISessionData.NamedEntry<T>

    java.lang.Object
      org.eclipse.m2m.qvt.oml.util.ISessionData.NamedEntry<T>

All Implemented Interfaces:
  ISessionData.Entry<T>

Enclosing interface:
  ISessionData

    public static class ISessionData.NamedEntry<T>

extends java.lang.Object
implements ISessionData.Entry<T>

Constructor Summary
`ISessionData.NamedEntry(java.lang.String name)`
`ISessionData.NamedEntry(java.lang.String name, T defaultValue)`

Method Summary
`T` `defaultValue()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISessionData.NamedEntry

    public ISessionData.NamedEntry(java.lang.String name)

### ISessionData.NamedEntry

    public ISessionData.NamedEntry(java.lang.String name,
                                   T defaultValue)

Method Detail

### defaultValue

    public T defaultValue()

  Specified by:
    `defaultValue` in interface `ISessionData.Entry<T>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.